package emps.v2_obiektowo;

import java.util.List;

public class P6_Sortowanie_v1 {

    public static void main(String[] args) {
        List<Employee> emps = ObslugaCSV.wczytajDane();
        System.out.println("Sortujemy rosnąco wg pensji");
        
        // odejmowanie intów jest poprawne pod warunkiem, że wszystkie wartości są dodatnie; inaczej może być integer overflow
        emps.sort((emp1, emp2) -> emp1.getSalary() - emp2.getSalary());
        
        for(Employee emp : emps) {
            System.out.printf("%s %s (%s) zarabia %d\n",
                    emp.getFirstName(), emp.getLastName(), emp.getJobTitle(), emp.getSalary());
        }
    }

}
